Name: H5Pget_chunk
Signature:
  int `H5Pget_chunk`(hid_t `plist`, int `max_ndims`, hsize_t * `dims` )
Purpose:
  Retrieves the size of chunks for the raw data of a chunked layout dataset.
Description:
  `H5Pget_chunk` retrieves the size of chunks for the raw data of a chunked layout dataset. This function is only valid for dataset creation property lists. At most, `max_ndims` elements of `dims` will be initialized.
Parameters:

hid_t `plist` | IN: Identifier of property list to query.
int `max_ndims` | IN: Size of the `dims` array.
hsize_t * `dims` | OUT: Array to store the chunk dimensions.

Returns:
  Returns chunk dimensionality if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_chunk_f

      SUBROUTINE h5pget_chunk_f(prp_id, ndims, dims, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        INTEGER, INTENT(IN) :: ndims          ! Number of chunk dimensions
                                              ! to return
        INTEGER(HSIZE_T), DIMENSION(ndims), INTENT(OUT) :: dims
                                              ! Array containing sizes of
                                              ! chunk dimensions
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! chunk rank on success
                                              ! and -1 on failure
      END SUBROUTINE h5pget_chunk_f